org.apache.lucene.search.similarities

## Class Distribution

- java.lang.Object
- - org.apache.lucene.search.similarities.Distribution

Direct Known Subclasses:
  DistributionLL, DistributionSPL

    public abstract class Distribution
    extends Object

The probabilistic distribution used to model term occurrence in information-based models.

See Also:
  `IBSimilarity`
WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`Distribution()` Sole constructor.

### Method Summary

Methods
`Explanation` `explain(BasicStats stats, float tfn, float lambda)` Explains the score.
`abstract float` `score(BasicStats stats, float tfn, float lambda)` Computes the score.
`abstract String` `toString()` Subclasses must override this method to return the name of the distribution.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Distribution

    public Distribution()

Sole constructor. (For invocation by subclass constructors, typically implicit.)

### Method Detail

#### score

    public abstract float score(BasicStats stats,
              float tfn,
              float lambda)

Computes the score.

#### explain

    public Explanation explain(BasicStats stats,
                      float tfn,
                      float lambda)

Explains the score. Returns the name of the model only, since both `tfn` and `lambda` are explained elsewhere.

#### toString

    public abstract String toString()

Subclasses must override this method to return the name of the distribution.

Overrides:
  `toString` in class `Object`